package com.diagbot.web;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.ProductAuthProgressDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ProductOrderFacade;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * @author rgb
 *
 */
@Api(value="控制台-产品操作", tags={"控制台-产品操作"})
@RestController
@RequestMapping("/productOrder")
public class ProductOrderController {

	@Autowired
	private ProductOrderFacade productOrderFacade;

	@ApiOperation(value = "控制台-产品认证进度",notes="控制台-产品认证进度")
	@PostMapping("/productAuthProgress")
	@SysLogger("productAuthProgress")
	public RespDTO<List<ProductAuthProgressDTO>> productAuthProgress() {
		return RespDTO.onSuc(productOrderFacade.productAuthProgress());
	}

}
